<?xml version="1.0"?>
<!-- This file is part of delco_main module for Tryton.  The COPYRIGHT file at the top level of
this repository contains the full copyright notices and license terms. -->
<tryton>
    <data>
<!-- Configuration -->
        <record model="ir.ui.view" id="configuration_view_form">
            <field name="model">gnuhealth.appointment.screen.configuration</field>
            <field name="type">form</field>
            <field name="name">configuration_form</field>
        </record>
        <record model="ir.action.act_window"
            id="act_configuration_form">
            <field name="name">Appointment screen configuration</field>
            <field name="res_model">gnuhealth.appointment.screen.configuration</field>
        </record>
        <record model="ir.action.act_window.view"
            id="act_configuration_view1">
            <field name="sequence" eval="1"/>
            <field name="view" ref="configuration_view_form"/>
            <field name="act_window" ref="act_configuration_form"/>
        </record>
        <menuitem
            parent="health.gnuhealth_conf_menu"
            action="act_configuration_form"
            sequence="201"
            id="menuitem_appoinment_screen_configuration"
            icon="tryton-list"/>
<!-- Images -->
        <record model="ir.ui.view" id="screen_image_view_tree">
            <field name="model">gnuhealth.appointment.screen.image</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">screen_image_tree</field>
        </record>
        <record model="ir.ui.view" id="screen_image_view_tree_sequence">
            <field name="model">gnuhealth.appointment.screen.image</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">screen_image_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="screen_image_view_form">
            <field name="model">gnuhealth.appointment.screen.image</field>
            <field name="type">form</field>
            <field name="name">screen_image_form</field>
        </record>

        <record model="ir.action.act_window" id="act_screen_image">
            <field name="name">Appointment Screen Image</field>
            <field name="res_model">gnuhealth.appointment.screen.image</field>
        </record>

        <record model="ir.action.act_window.view"
            id="act_screen_image_view1">
            <field name="sequence" eval="1"/>
            <field name="view" ref="screen_image_view_tree"/>
            <field name="act_window" ref="act_screen_image"/>
        </record>
        <record model="ir.action.act_window.view"
            id="act_screen_image_view2">
            <field name="sequence" eval="2"/>
            <field name="view" ref="screen_image_view_form"/>
            <field name="act_window" ref="act_screen_image"/>
        </record>
        <menuitem
            parent="menuitem_appoinment_screen_configuration"
            action="act_screen_image"
            sequence="10"
            id="menuitem_appoinment_screen_image"
            icon="tryton-list"/>
    </data>
</tryton>
